## bley 2.0.0~beta.1

=== Makefile ===
TRIAL_VERSION := $(shell trial --version |sed "s/[^0-9]//g")
#TRIAL_FLAGS ?= $(shell test $(TRIAL_VERSION) -ge 1230 && echo "-j2")
TRIAL ?= trial

sdist:
	python setup.py sdist

test: test-psql test-mysql test-sqlite
	pep8 --ignore=E501,E221,E226,E225 ./bley .
	make test-clean

test-sqlite: test-setup-sqlite
	$(TRIAL) $(TRIAL_FLAGS) test
	-[ ! -f ./test/bley_test.pid ] || kill $$(cat ./test/bley_test.pid)
	./bleygraph -c ./test/bley_sqlite.conf -d ./test/bleygraphout
	make test-clean

test-setup-sqlite: test-clean
	sed "s#.*DBPORT##;s#DBTYPE#sqlite3#;s#DBNAME#./test/bley_sqlite.db#" ./test/bley_test.conf.in > ./test/bley_sqlite.conf
	./bley -c ./test/bley_sqlite.conf -p ./test/bley_test.pid

test-psql:
	pg_virtualenv make test-psql-real

test-psql-real: test-setup-psql
	$(TRIAL) $(TRIAL_FLAGS) test
	-[ ! -f ./test/bley_test.pid ] || kill $$(cat ./test/bley_test.pid)
	./bleygraph -c ./test/bley_psql.conf -d ./test/bleygraphout
	make test-clean

test-setup-psql: test-clean
	sed "s#DBHOST#$$PGHOST#;s#DBPORT#$$PGPORT#;s#DBUSER#$$PGUSER#;s#DBPASS#$$PGPASSWORD#;s#DBTYPE#pgsql#;s#DBNAME#bley_test#" ./test/bley_test.conf.in > ./test/bley_psql.conf
	createdb bley_test
	./bley -c ./test/bley_psql.conf -p ./test/bley_test.pid

test-mysql:
	my_virtualenv make test-mysql-real

test-mysql-real: test-setup-mysql
	$(TRIAL) $(TRIAL_FLAGS) test
	-[ ! -f ./test/bley_test.pid ] || kill $$(cat ./test/bley_test.pid)
	./bleygraph -c ./test/bley_mysql.conf -d ./test/bleygraphout
	make test-clean

test-setup-mysql: test-clean
	sed "s#DBHOST#$$MYSQL_HOST#;s#DBPORT#$$MYSQL_TCP_PORT#;s#DBUSER#$$MYSQL_USER#;s#DBPASS#$$MYSQL_PWD#;s#DBTYPE#mysql#;s#DBNAME#bley_test#" ./test/bley_test.conf.in > ./test/bley_mysql.conf
	echo "CREATE DATABASE bley_test;" | mysql
	./bley -c ./test/bley_mysql.conf -p ./test/bley_test.pid

test-clean:
	-[ ! -f ./test/bley_test.pid ] || kill $$(cat ./test/bley_test.pid)
	rm -f ./test/bley_sqlite.db ./test/bley_sqlite.conf ./test/bley_psql.conf ./test/bley_mysql.conf
	rm -rf ./test/bleygraphout/

.PHONY: sdist test

## bley 0.1.4

=== debian/changelog ===
bley (0.1.4-1) unstable; urgency=low

  * New upstream release

 -- Evgeni Golov <evgeni@debian.org>  Sun, 15 Aug 2010 17:20:25 +0200

bley (0.1.3-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Standards-Version: 3.9.1
    + Fix typo in description (Closes: #591214)
  * debian/copyright:
    + Quote BSD license, thanks lintian.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 15 Aug 2010 13:47:43 +0200

bley (0.1.2-1) unstable; urgency=low

  * New upstream release
  * debian/bley.{init,postinst}:
    + Create /var/run/bley in init, /var/run is cleaned on reboot on
      some systems.
  * debian/control:
    + Add depends on python-twisted-names.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 27 May 2010 09:27:37 +0200

bley (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #578491)

 -- Evgeni Golov <evgeni@debian.org>  Tue, 27 Apr 2010 18:47:41 +0200

=== debian/control ===
Source: bley
Section: mail
Priority: optional
Maintainer: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-support, python-setuptools
Standards-Version: 3.9.1
XS-Python-Version: 2.5, 2.6
Homepage: http://bley.mx

Package: bley
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-twisted-core (>= 8.1.0),
 python-twisted-names (>= 8.1.0), python-spf, python-psycopg2|python-mysqldb,
 dbconfig-common, adduser
Recommends: postgresql-client | mysql-client, postfix
XB-Python-Version: ${python:Versions}
Description: intelligent greylisting daemon for Postfix
 bley uses various test (incl. RBL and SPF) to decide whether a sender
 should be greylisted or not, thus mostly eliminating the usual
 greylisting delay while still filtering most of the spam.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -rf bley.egg-info

## bley 0.1.5

=== debian/changelog ===
bley (0.1.5-2) unstable; urgency=low

  * cherry-pick patch from upstream to disable njabl.org

 -- Evgeni Golov <evgeni@debian.org>  Wed, 13 Mar 2013 11:15:58 +0100

bley (0.1.5-1) unstable; urgency=low

  * New upstream release
    + Includes fixes for MySQL problems.
      Closes: #618252
    + Does not import psycopg2 when running with mysql anymore.
      Closes: #599729
  * Switch to dh_python2.
  * Set X-Python-Version >= 2.5, not only "2.5, 2.6".
    Closes: #606363
  * Standards-Version: 3.9.2

 -- Evgeni Golov <evgeni@debian.org>  Sat, 04 Jun 2011 14:53:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: mail
 Priority: optional
 Maintainer: Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-support, python-setuptools
-Standards-Version: 3.9.1
-XS-Python-Version: 2.5, 2.6
+Build-Depends: debhelper (>= 7.0.50~), python-setuptools, python-all (>= 2.6.6-3~)
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
 Homepage: http://bley.mx
 
 Package: bley
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-twisted-core (>= 8.1.0),
- python-twisted-names (>= 8.1.0), python-spf, python-psycopg2|python-mysqldb,
+ python-twisted-names (>= 8.1.0), python-spf, python-psycopg2 | python-mysqldb,
  dbconfig-common, adduser
 Recommends: postgresql-client | mysql-client, postfix
 XB-Python-Version: ${python:Versions}

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh  $@
+	dh  $@ --with python2
 
 override_dh_auto_clean:
 	dh_auto_clean

## bley 2.0.0~beta.1

=== debian/changelog ===
bley (2.0.0~beta.1-1) unstable; urgency=medium

  * Imported Upstream version 2.0.0~beta.1
    + Does not use SPF Best Guess by default (Closes: #656612)
  * fix config file permissions (Closes: #731123)
  * drop 02-drop-dnsbl.njabl.org-it-s-not-maintained-anymore.patch
  * refresh and simplify debian_config_and_paths.patch
  * drop manpage, it's upstream now
  * Standards-Version: 3.9.5
  * fix a typo in debian/control
  * enable SQLite3 support
  * use dh-systemd and create /run/bley using a tmpfiles.d snipet
  * start the daemon with
     -c /etc/bley/bley.conf -c /etc/bley/dbconfig-common.conf
  * add MySQL and PostgreSQL to Should-Start/Stop (Closes: #630905)
  * mention Exim support in Recommends and Description
  * update d/copyright for copyright-format/1.0
  * use dh-python instead of hardcoding all the pythonic deps

 -- Evgeni Golov <evgeni@debian.org>  Sun, 03 Aug 2014 10:02:17 +0200

=== debian/control ===
Source: bley
Section: mail
Priority: optional
Maintainer: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-python, dh-systemd, python-setuptools, python-all (>= 2.6.6-3~)
Standards-Version: 3.9.5
X-Python-Version: >= 2.5
Homepage: http://bley.mx

Package: bley
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 dbconfig-common, adduser
Recommends: postgresql-client | mysql-client | sqlite3, python-psycopg2 | python-mysqldb, postfix | exim4
XB-Python-Version: ${python:Versions}
Description: intelligent greylisting daemon for Postfix and Exim
 bley uses various tests (incl. RBL and SPF) to decide whether a sender
 should be greylisted or not, thus mostly eliminating the usual
 greylisting delay while still filtering most of the spam.

## bley 2.0.0

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	python setup.py sdist
 
 test: test-psql test-mysql test-sqlite
-	pep8 --ignore=E501,E221,E226,E225 ./bley .
+	pep8 --ignore=E501 ./bley .
 	make test-clean
 
 test-sqlite: test-setup-sqlite

=== requirements.txt ===
# We actually just need Twisted-Core>=8.1.0 and Twisted-Names>=8.1.0,
# but pip is stupid and fails to do so. Let's install Twisted instead.
Twisted>=8.1.0
pydns
pyspf
publicsuffix
ipaddr

=== debian/changelog ===
bley (2.0.0-2) unstable; urgency=medium

  * drop dnsbl.ahbl.org from the config, it was shut down and produces
    false positives.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 08 Jan 2015 09:47:58 +0100

bley (2.0.0-1) unstable; urgency=medium

  * Imported Upstream version 2.0.0
  * Standards-Version: 3.9.6
  * X-Python-Version: >= 2.6

 -- Evgeni Golov <evgeni@debian.org>  Tue, 21 Oct 2014 08:33:50 +0200

bley (2.0.0~beta.2-1) unstable; urgency=medium

  * Imported Upstream version 2.0.0~beta.2

 -- Evgeni Golov <evgeni@debian.org>  Sat, 20 Sep 2014 14:10:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Evgeni Golov <evgeni@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), dh-python, dh-systemd, python-setuptools, python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.5
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.6
 Homepage: http://bley.mx
 
 Package: bley

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,21 @@
 #export DH_VERBOSE=1
 
 %:
-	dh  $@ --with python2
+	dh  $@ --buildsystem=python_distutils --with python2 --with systemd
+
+override_dh_install:
+	dh_install
+	mv $(CURDIR)/debian/bley/etc/bley/bley.conf.example $(CURDIR)/debian/bley/etc/bley/bley.conf
+	mv $(CURDIR)/debian/bley/etc/bley/whitelist_recipients.example $(CURDIR)/debian/bley/etc/bley/whitelist_recipients
+	mv $(CURDIR)/debian/bley/etc/bley/whitelist_clients.example $(CURDIR)/debian/bley/etc/bley/whitelist_clients
+
 
 override_dh_auto_clean:
 	dh_auto_clean
 	$(RM) -rf bley.egg-info
+
+override_dh_auto_test:
+	# skip for now
+
+override_dh_python2:
+	dh_python2 --requires=requirements.txt --depends=Twisted-Names

=== debian/watch ===
version=3
http://bley.mx/download/ bley-([\d\.]+).tar.gz
